package Model_1 "Yi2003_GproteinCycle"
  model cell_ "cell"
    extends BioChem.Compartments.MainCompartment(V(start=1));
    import BioChem.Math.*;
    import BioChem.Constants.*;
    model L_
      extends BioChem.Substances.Substance;
      annotation(__MathCore(RDF="<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#_954274\">
      <bqbiol:isVersionOf>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:interpro:IPR006742\"/>
        </rdf:Bag>
      </bqbiol:isVersionOf>
      <bqbiol:hasVersion>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:uniprot:P34166\"/>
          <rdf:li rdf:resource=\"urn:miriam:uniprot:P34165\"/>
        </rdf:Bag>
      </bqbiol:hasVersion>
    </rdf:Description>
  </rdf:RDF>"));
    end L_;

    model R_
      extends BioChem.Substances.Substance;
      annotation(__MathCore(RDF="<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#_954294\">
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:uniprot:P06842\"/>
        </rdf:Bag>
      </bqbiol:is>
    </rdf:Description>
  </rdf:RDF>"));
    end R_;

    model G_
      extends BioChem.Substances.Substance;
      annotation(__MathCore(RDF="<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#_954314\">
      <bqbiol:isVersionOf>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.go:GO%3A0005834\"/>
        </rdf:Bag>
      </bqbiol:isVersionOf>
    </rdf:Description>
  </rdf:RDF>"));
    end G_;

    model Gbg_
      extends BioChem.Substances.Substance;
      annotation(__MathCore(RDF="<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#_954334\">
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.go:GO%3A0031680\"/>
        </rdf:Bag>
      </bqbiol:is>
    </rdf:Description>
  </rdf:RDF>"));
    end Gbg_;

    model Gd_
      extends BioChem.Substances.Substance;
      annotation(__MathCore(RDF="<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#_954354\">
      <bqbiol:hasPart>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.chebi:CHEBI%3A17552\"/>
          <rdf:li rdf:resource=\"urn:miriam:interpro:IPR001019\"/>
        </rdf:Bag>
      </bqbiol:hasPart>
      <bqbiol:hasPart>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:interpro:IPR001019\"/>
          <rdf:li rdf:resource=\"urn:miriam:kegg.compound:C00035\"/>
        </rdf:Bag>
      </bqbiol:hasPart>
    </rdf:Description>
  </rdf:RDF>"));
    end Gd_;

    model Ga_
      extends BioChem.Substances.Substance;
      annotation(__MathCore(RDF="<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#_954374\">
      <bqbiol:hasPart>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.chebi:CHEBI%3A15996\"/>
          <rdf:li rdf:resource=\"urn:miriam:interpro:IPR001019\"/>
        </rdf:Bag>
      </bqbiol:hasPart>
      <bqbiol:hasPart>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:interpro:IPR001019\"/>
          <rdf:li rdf:resource=\"urn:miriam:kegg.compound:C00044\"/>
        </rdf:Bag>
      </bqbiol:hasPart>
    </rdf:Description>
  </rdf:RDF>"));
    end Ga_;

    model RL_
      extends BioChem.Substances.Substance;
      annotation(__MathCore(RDF="<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#_954394\">
      <bqbiol:hasPart>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:uniprot:P06842\"/>
          <rdf:li rdf:resource=\"urn:miriam:uniprot:P34165\"/>
        </rdf:Bag>
      </bqbiol:hasPart>
      <bqbiol:isVersionOf>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.go:GO%3A0043235\"/>
        </rdf:Bag>
      </bqbiol:isVersionOf>
      <bqbiol:hasPart>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:uniprot:P06842\"/>
          <rdf:li rdf:resource=\"urn:miriam:uniprot:P34166\"/>
        </rdf:Bag>
      </bqbiol:hasPart>
    </rdf:Description>
  </rdf:RDF>"));
    end RL_;

    model reaction_0_
      extends BioChem.Interfaces.Reactions.Bur;
      annotation(__MathCore(RDF="<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#_954414\">
      <bqbiol:isVersionOf>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.go:GO%3A0005102\"/>
          <rdf:li rdf:resource=\"urn:miriam:obo.go:GO%3A0001664\"/>
          <rdf:li rdf:resource=\"urn:miriam:obo.go:GO%3A0004934\"/>
        </rdf:Bag>
      </bqbiol:isVersionOf>
    </rdf:Description>
  </rdf:RDF>"));
      parameter Real k1=3.32e-18;
      parameter Real k2=0.01;
      outer Real cell_V "Variable used to access the volume of an outer compartment. Do not edit.";
    equation 
      rr=cell_V*(k1*s1.c*s2.c - k2*p1.c);
    end reaction_0_;

    model reaction_1_
      extends BioChem.Interfaces.Reactions.Uui;
      annotation(__MathCore(RDF="<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#_954434\">
      <bqbiol:isVersionOf>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.go:GO%3A0006412\"/>
        </rdf:Bag>
      </bqbiol:isVersionOf>
    </rdf:Description>
  </rdf:RDF>"));
      parameter Real v=4;
      outer Real cell_V "Variable used to access the volume of an outer compartment. Do not edit.";
    equation 
      rr=cell_V*v;
    end reaction_1_;

    model reaction_2_
      extends BioChem.Interfaces.Reactions.Uui;
      annotation(__MathCore(RDF="<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#_954454\">
      <bqbiol:isVersionOf>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.go:GO%3A0030163\"/>
        </rdf:Bag>
      </bqbiol:isVersionOf>
    </rdf:Description>
  </rdf:RDF>"));
      parameter Real k1=0.0004;
      outer Real cell_V "Variable used to access the volume of an outer compartment. Do not edit.";
    equation 
      rr=cell_V*k1*s1.c;
    end reaction_2_;

    model reaction_3_
      extends BioChem.Interfaces.Reactions.Bui;
      annotation(__MathCore(RDF="<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#_954474\">
      <bqbiol:isVersionOf>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.go:GO%3A0001965\"/>
          <rdf:li rdf:resource=\"urn:miriam:obo.go:GO%3A0031683\"/>
        </rdf:Bag>
      </bqbiol:isVersionOf>
    </rdf:Description>
  </rdf:RDF>"));
      parameter Real k1=1;
      outer Real cell_V "Variable used to access the volume of an outer compartment. Do not edit.";
    equation 
      rr=cell_V*k1*s1.c*s2.c;
    end reaction_3_;

    model reaction_4_
      extends BioChem.Interfaces.Reactions.Ubi;
      extends BioChem.Interfaces.Reactions.Modifiers.Modifier;
      annotation(__MathCore(RDF="<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#_954494\">
      <bqbiol:isVersionOf>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.go:GO%3A0004930\"/>
          <rdf:li rdf:resource=\"urn:miriam:obo.go:GO%3A0043241\"/>
        </rdf:Bag>
      </bqbiol:isVersionOf>
    </rdf:Description>
  </rdf:RDF>"));
      parameter Real k1=1e-05;
      outer Real cell_V "Variable used to access the volume of an outer compartment. Do not edit.";
    equation 
      rr=cell_V*k1*m1.c*s1.c;
    end reaction_4_;

    model reaction_5_
      extends BioChem.Interfaces.Reactions.Uui;
      annotation(__MathCore(RDF="<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#_954514\">
      <bqbiol:isVersionOf>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.go:GO%3A0030163\"/>
        </rdf:Bag>
      </bqbiol:isVersionOf>
    </rdf:Description>
  </rdf:RDF>"));
      parameter Real k1=0.004;
      outer Real cell_V "Variable used to access the volume of an outer compartment. Do not edit.";
    equation 
      rr=cell_V*k1*s1.c;
    end reaction_5_;

    model reaction_6_
      extends BioChem.Interfaces.Reactions.Uui;
      annotation(__MathCore(RDF="<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#_954534\">
      <bqbiol:isVersionOf>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.go:GO%3A0003924\"/>
        </rdf:Bag>
      </bqbiol:isVersionOf>
    </rdf:Description>
  </rdf:RDF>"));
      parameter Real k1=0.11;
      outer Real cell_V "Variable used to access the volume of an outer compartment. Do not edit.";
    equation 
      rr=cell_V*k1*s1.c;
    end reaction_6_;

    annotation(Diagram(coordinateSystem(extent={{-100.0,-100.0},{100.0,100.0}}, preserveAspectRatio=true, initialScale=0.1, grid={10,10}), graphics={Rectangle(visible=true, origin={44.9707,-27.5595}, fillColor={255,255,255}, pattern=LinePattern.Dash, fillPattern=FillPattern.Solid, lineThickness=0.5, extent={{-54.2396,-46.8723},{54.2396,46.8723}}, radius=10),Text(visible=true, origin={13.727,-68.4631}, fillPattern=FillPattern.Solid, extent={{-33.727,-3.608},{33.727,3.608}}, textString="G-protein cycle", fontSize=12, fontName="Arial"),Rectangle(visible=true, origin={-54.0427,-10.0}, fillColor={255,255,255}, pattern=LinePattern.Dash, fillPattern=FillPattern.Solid, lineThickness=0.5, extent={{-41.3448,-64.8349},{41.3448,64.8349}}, radius=10),Text(visible=true, origin={-54.7575,-68.4396}, fillPattern=FillPattern.Solid, extent={{-37.8928,-5.0},{37.8928,5.0}}, textString="GPCR activation & deactivation", fontSize=12, fontName="Arial")}), __MathCore(RDF="<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#_954261\">
      <bqbiol:isVersionOf>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.go:GO%3A0005623\"/>
        </rdf:Bag>
      </bqbiol:isVersionOf>
    </rdf:Description>
  </rdf:RDF>"));
    inner Real cell_V=V "Variable used to make the compartment volume accessible for inner components. Do not edit.";
    Model_1.cell_.L_ Agonist(c(start=6.02e+17)) "Ligand" annotation(Dialog(group="Variables"), Placement(visible=true, transformation(origin={-73.175,43.8079}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-360)));
    Model_1.cell_.R_ GPCR(c(start=10000)) "Receptor" annotation(Dialog(group="Variables"), Placement(visible=true, transformation(origin={-73.1123,12.4896}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
    Model_1.cell_.G_ G_protein(c(start=7000)) "Inactive heterotrimeric G-protein" annotation(Dialog(group="Variables"), Placement(visible=true, transformation(origin={1.0104,-22.0617}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
    Model_1.cell_.Gbg_ G_beta_gamma(c(start=3000)) "Free levels of G-beta-gamma" annotation(Dialog(group="Variables"), Placement(visible=true, transformation(origin={66.0591,-21.7668}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
    Model_1.cell_.Gd_ G_alpha_GDP(c(start=3000)) "G-alpha-GDP" annotation(Dialog(group="Variables"), Placement(visible=true, transformation(origin={43.7945,-53.0574}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
    Model_1.cell_.Ga_ G_alpha_GTP(c(start=0)) "G-alpha-GTP" annotation(Dialog(group="Variables"), Placement(visible=true, transformation(origin={64.9931,10.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
    Model_1.cell_.RL_ GPCR_Agonist(c(start=0)) "Receptor-Ligand" annotation(Dialog(group="Variables"), Placement(visible=true, transformation(origin={-25.1833,28.3129}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
    Model_1.cell_.reaction_0_ reaction_0 "Ligand-Receptor Association" annotation(Placement(visible=true, transformation(origin={-48.2021,28.25}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-360)));
    BioChem.Substances.AmbientSubstance Vacuole annotation(Dialog(group="Variables"), Placement(visible=true, transformation(origin={-74.1165,-41.8458}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
    Model_1.cell_.reaction_1_ reaction_1 "Receptor Synthesis" annotation(Placement(visible=true, transformation(origin={-65.4394,-11.6111}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-270)));
    Model_1.cell_.reaction_2_ reaction_2 "Receptor Degradation" annotation(Placement(visible=true, transformation(origin={-81.5333,-11.425}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-450)));
    Model_1.cell_.reaction_3_ reaction_3 "Heterotrimeric G-Protein Formation" annotation(Placement(visible=true, transformation(origin={22.0061,-48.4497}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-540)));
    Model_1.cell_.reaction_4_ reaction_4 "G-protein Activation" annotation(Placement(visible=true, transformation(origin={23.0721,5.5682}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
    Model_1.cell_.reaction_5_ reaction_5 "Receptor-Ligand Degradation" annotation(Placement(visible=true, transformation(origin={-51.7979,-11.7438}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-450)));
    Model_1.cell_.reaction_6_ reaction_6 "G-protein Inactivation " annotation(Placement(visible=true, transformation(origin={64.7198,-52.8815}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-540)));
  equation 
    connect(Agonist.n1,reaction_0.s1) annotation(Line(visible=true, origin={-63.3828,38.5289}, points={{-9.7922,5.2789},{2.9307,5.2789},{2.9307,-5.2789},{3.9307,-5.2789}}, color={0,85,127}, smooth=Smooth.Bezier));
    connect(reaction_3.s2,G_beta_gamma.n1) annotation(Line(visible=true, origin={65.7532,-31.8145}, points={{-32.4972,-11.6352},{1.7008,-10.8415},{1.7008,10.8415},{0.3059,10.0477}}, color={26,118,164}, smooth=Smooth.Bezier));
    connect(reaction_4.p2,G_beta_gamma.n1) annotation(Line(visible=true, origin={66.0198,-13.2644}, points={{-31.6976,13.8325},{1.4343,11.1675},{1.4343,-11.1675},{0.0394,-8.5024}}, color={0,85,127}, smooth=Smooth.Bezier));
    connect(reaction_5.s1,GPCR_Agonist.n1) annotation(Line(visible=true, origin={-32.7681,10.2549}, points={{-19.0299,-10.7486},{7.5847,-10.2549},{7.5847,18.0581}}, color={26,118,164}, smooth=Smooth.Bezier));
    connect(GPCR.n1,reaction_0.s2) annotation(Line(visible=true, points={{-9.7452,-5.3802},{2.9151,-5.3802},{2.9151,5.3802},{3.9151,5.3802}}, color={0,85,127}, smooth=Smooth.Bezier, origin={-63.3671,17.8698}));
    connect(GPCR_Agonist.n1,reaction_0.p1) annotation(Line(visible=true, points={{-22.6543,-31.6341},{-34.4231,-31.697}}, color={0,85,127}, smooth=Smooth.Bezier, origin={-2.529,59.947}));
    connect(Vacuole.n1,reaction_1.s1) annotation(Line(visible=true, points={{-4.3385,-12.7385},{-4.3385,3.2462},{4.3385,3.2462},{4.3385,6.2462}}, color={0,85,127}, smooth=Smooth.Bezier, origin={-69.778,-29.1073}));
    connect(GPCR.n1,reaction_1.p1) annotation(Line(visible=true, points={{-3.8365,9.138},{-3.8365,-2.7127},{3.8365,-2.7127},{3.8365,-3.7127}}, color={0,85,127}, smooth=Smooth.Bezier, origin={-69.2759,3.3516}));
    connect(Vacuole.n1,reaction_2.p1) annotation(Line(visible=true, points={{3.7084,-12.8781},{3.7084,3.2927},{-3.7084,3.2927},{-3.7084,6.2927}}, color={0,85,127}, smooth=Smooth.Bezier, origin={-77.8249,-28.9677}));
    connect(GPCR.n1,reaction_2.s1) annotation(Line(visible=true, points={{4.2105,8.9984},{4.2105,-2.6661},{-4.2105,-2.6661},{-4.2105,-3.6661}}, color={0,85,127}, origin={-77.3228,3.4911}, smooth=Smooth.Bezier));
    connect(G_alpha_GDP.n1,reaction_3.s1) annotation(Line(visible=true, points={{22.7841,-58.6255},{12.2457,-59.0179}}, color={0,85,127}, smooth=Smooth.Bezier, origin={21.0104,5.5682}));
    connect(G_protein.n1,reaction_3.p1) annotation(Line(visible=true, points={{-3.2486,17.592},{-3.2486,-8.796},{6.4971,-8.796}}, color={0,85,127}, smooth=Smooth.Bezier, origin={4.259,-39.6537}));
    connect(G_protein.n1,reaction_4.s1) annotation(Line(visible=true, points={{-3.6039,-18.4199},{-3.6039,9.21},{7.2078,9.21}}, color={0,85,127}, smooth=Smooth.Bezier, origin={4.6143,-3.6418}));
    connect(G_alpha_GTP.n1,reaction_4.p1) annotation(Line(visible=true, points={{61.4367,20.0},{30.7657,20.5682}}, color={0,85,127}, smooth=Smooth.Bezier, origin={3.5564,-10.0}));
    connect(GPCR_Agonist.n1,reaction_4.m1) annotation(Line(visible=true, points={{-32.1703,4.2483},{16.0851,4.2483},{16.0851,-8.4965}}, color={0,85,127}, smooth=Smooth.Bezier, origin={6.987,24.0647}));
    connect(Vacuole.n1,reaction_5.p1) annotation(Line(visible=true, points={{-14.8791,-6.284},{7.4395,-6.284},{7.4395,12.5681}}, color={0,85,127}, smooth=Smooth.Bezier, origin={-59.2374,-35.5618}));
    connect(G_alpha_GTP.n1,reaction_6.s1) annotation(Line(visible=true, points={{-23.2585,29.5588},{-0.7977,29.5588},{6.1907,17.3526},{6.1907,-32.5289},{-12.2818,-33.3226}}, color={0,85,127}, origin={88.2517,-19.5588}, smooth=Smooth.Bezier));
    connect(G_alpha_GDP.n1,reaction_6.p1) annotation(Line(visible=true, points={{-3.2251,-0.1173},{-3.2251,0.0586},{6.4502,0.0586}}, color={0,85,127}, origin={47.0196,-52.9401}, smooth=Smooth.Bezier));
  end cell_;

  annotation(Documentation(info="
  <body xmlns=\"http://www.w3.org/1999/xhtml\">
    <p>The paper describes both wild-type and mutant cells of G protein cycle by using different values of G protein deactivation. We chosed the wild-type, k=0.11 s-1.</p>
    <p>The unit of the concentration for the proteins are numbers of molecules per cell.</p>
    <p>Figure5(A) was reproduced with COPASI 4.0 (Build 18) and SBML_odeSolver. Figure5(B) was reproduced with COPASI 4.0 (Build 18).
</p>
    <p>This model originates from BioModels Database: A Database of Annotated Published Models. It is copyright (c) 2005-2009 The BioModels Team.
    <br/>For more information see the 
    <a href=\"http://www.ebi.ac.uk/biomodels/legal.html\" target=\"_blank\">terms of use</a>.
    <br/>To cite BioModels Database, please use 
    <a href=\"http://www.pubmedcentral.nih.gov/articlerender.fcgi?tool=pubmed&amp;pubmedid=16381960\" target=\"_blank\"> Le Novère N., Bornstein B., Broicher A., Courtot M., Donizelli M., Dharuri H., Li L., Sauro H., Schilstra M., Shapiro B., Snoep J.L., Hucka M. (2006) BioModels Database: A Free, Centralized Database of Curated, Published, Quantitative Kinetic Models of Biochemical and Cellular Systems Nucleic Acids Res., 34: D689-D691.</a>
  </p>
</body>
"));
  annotation(__MathCore(RDF="<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\" xmlns:vCard=\"http://www.w3.org/2001/vcard-rdf/3.0#\" xmlns:bqbiol=\"http://biomodels.net/biology-qualifiers/\" xmlns:bqmodel=\"http://biomodels.net/model-qualifiers/\">
    <rdf:Description rdf:about=\"#_954219\">
      <dc:creator rdf:parseType=\"Resource\">
        <rdf:Bag>
          <rdf:li rdf:parseType=\"Resource\">
            <vCard:N rdf:parseType=\"Resource\">
              <vCard:Family>He</vCard:Family>
              <vCard:Given>Enuo</vCard:Given>
            </vCard:N>
            <vCard:EMAIL>enuo@ebi.ac.uk</vCard:EMAIL>
            <vCard:ORG>
              <vCard:Orgname>EMBL-EBI</vCard:Orgname>
            </vCard:ORG>
          </rdf:li>
        </rdf:Bag>
      </dc:creator>
      <dcterms:created rdf:parseType=\"Resource\">
        <dcterms:W3CDTF>2006-10-17T15:12:36Z</dcterms:W3CDTF>
      </dcterms:created>
      <dcterms:modified rdf:parseType=\"Resource\">
        <dcterms:W3CDTF>2008-08-21T12:04:36Z</dcterms:W3CDTF>
      </dcterms:modified>
      <bqmodel:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:biomodels.db:BIOMD0000000072\"/>
        </rdf:Bag>
      </bqmodel:is>
      <bqmodel:isDescribedBy>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:pubmed:12960402\"/>
        </rdf:Bag>
      </bqmodel:isDescribedBy>
      <bqbiol:is>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:taxonomy:4932\"/>
        </rdf:Bag>
      </bqbiol:is>
      <bqbiol:isVersionOf>
        <rdf:Bag>
          <rdf:li rdf:resource=\"urn:miriam:obo.go:GO%3A0007186\"/>
          <rdf:li rdf:resource=\"urn:miriam:obo.go:GO%3A0031684\"/>
        </rdf:Bag>
      </bqbiol:isVersionOf>
    </rdf:Description>
  </rdf:RDF>"));
end Model_1;
